package de.sourcecode.dc2;

import java.util.ArrayList;

import org.alexd.jsonrpc.JSONRPCClient;
import org.alexd.jsonrpc.JSONRPCException;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;



import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.*;
import android.util.Log;

public class Dc2mobileActivity extends Activity {
	private static final String TAG= "DC2 MainActivity";
	private static final String PREFS_NAME="DC2Preferences";

	private SharedPreferences dc2_preferences; 
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        dc2_preferences=getSharedPreferences(PREFS_NAME,0);
    }
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
    	MenuInflater inflater=getMenuInflater();
    	inflater.inflate(R.menu.dc2_main_menu, menu);
    	return true;
    }
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
    	switch (item.getItemId()) {
    	case R.id.item_menu_server:
    		Log.d(TAG,"item_menu_server triggerd");
    		Log.d(TAG,dc2_preferences.getString("DC2_RPC_URL", ""));
    		Intent serverIntent=new Intent(getBaseContext(),ServerActivity.class);
    		serverIntent.putExtra("RPC_URL",dc2_preferences.getString("DC2_RPC_URL", null));
    		startActivity(serverIntent);
    		return true;
    	case R.id.item_menu_hosts:
    		// TODO: implement
    		return false;
    	case R.id.item_menu_settings:
    		Log.d(TAG,"item_menu_settings triggerd");
    		Intent settingsIntent=new Intent(getBaseContext(),Preferences.class);
    		startActivity(settingsIntent);
    		return true;
    	case R.id.item_menu_about:
    		// TODO: implement
    		return false;
    	default:
    		return super.onOptionsItemSelected(item);
    	}
    }   
}