package de.sourcecode.dc2;

import java.util.ArrayList;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class ServerActivity extends Activity {
	private static final String TAG= "ServerActivity";
	private DC2ButtonBar btnBar;
	private ServerModel serverModel;
	private ListView lvServers;
	private ServerAdapter sAdapter;
	private ArrayList<Server> sList;

	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.server_activity);
        Bundle extras=getIntent().getExtras();
        serverModel=new ServerModel(extras.getString("RPC_URL"));
        lvServers=(ListView)findViewById(R.id.serverListView);
        lvServers.setOnItemClickListener(new ServerItemClickListener());
        this.getServerList();
        sAdapter=new ServerAdapter(this,R.layout.server_list_item,sList);
        this.lvServers.setAdapter(sAdapter);
        btnBar=(DC2ButtonBar) findViewById(R.id.btnBar1);
        btnBar.setEnableEdit(false);
        btnBar.setEnableRefresh(true);
    }
	private void getServerList() {
		this.sList=this.serverModel.list();
		TextView itemCount=(TextView)findViewById(R.id.tvItemCount);
		if (itemCount != null) {
			itemCount.setText(new Integer(this.sList.size()).toString());
		}
		
	}
	public void btnAdd(View view) {
		// TODO: Implement
		Log.d(TAG,"btnAdd Clicked");
	}
	
	public void btnEdit(View view) {
		// TODO: Implement
		Log.d(TAG,"btnEdit Clicked");
	}
	
	public void btnRemove(View view) {
		// TODO: Implement
		Log.d(TAG,"btnRemove clicked");
	}
	
	public void btnRefresh(View view) {
		// TODO: Implement
		Log.d(TAG,"btnRefresh clicked");
	}
	
	
	private class ServerAdapter extends ArrayAdapter<Server> {
		private ArrayList<Server> servers;
		
		public ServerAdapter(Context context, int textViewResourceId, ArrayList<Server> servers) {
			super(context,textViewResourceId,servers);
			this.servers=servers;
		}
		
		@Override
		public View getView(int position, View convertView, ViewGroup parent) {
			View v=convertView;
			if (v==null) {
				LayoutInflater vi=(LayoutInflater) getContext().getSystemService(Context.LAYOUT_INFLATER_SERVICE);
				v=vi.inflate(R.layout.server_list_item,null);			
			}
			Server s=servers.get(position);
			if (s != null) {
				TextView uuid=(TextView)v.findViewById(R.id.tvUUID);
				TextView serial_no=(TextView)v.findViewById(R.id.tvSerialNo);
				TextView location=(TextView)v.findViewById(R.id.tvLocation);
				TextView asset_tag=(TextView)v.findViewById(R.id.tvAssetTags);
				
				if (uuid != null) {
					uuid.setText(s.getUUID());					
				}
				if (serial_no!=null) {
					serial_no.setText(s.getSerialNo());
				}
				if (location != null) {
					location.setText(s.getLocation());
				}
				if (asset_tag != null) {
					asset_tag.setText(s.getAssetTags());
				}
			}
			return v;
		}
	}
	private class ServerItemClickListener implements OnItemClickListener {
		public void onItemClick(AdapterView<?> parent,View view,int position, long id) {
			Server s=(Server) parent.getAdapter().getItem(position);
			Intent serverDetailIntent=new Intent(getBaseContext(),ServerDetailActivity.class);
    		serverDetailIntent.putExtra("RPC_URL",getIntent().getExtras().getString("RPC_URL"));
    		serverDetailIntent.putExtra("_Id",s.getId());
    		startActivity(serverDetailIntent);
		}
	}
}
