package de.sourcecode.dc2;

import android.app.TabActivity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.res.Resources;
import android.os.Bundle;
import android.widget.TabHost;

public class ServerDetailActivity extends TabActivity {
	private static final String PREFS_NAME = "DC2Preferences";
	private static final String TAG = "DC2 ServerDetailActivity";

	private SharedPreferences prefs;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.server_detail_activity);
		Resources res = getResources();
		TabHost tabhost = getTabHost();
		TabHost.TabSpec spec;
		Intent ServerDetailIntent;
		Intent ServerDetailMacAddr;
		Intent ServerDetailRIBs;

		prefs = getSharedPreferences(PREFS_NAME, 0);

		ServerDetailIntent = new Intent()
				.setClass(this, ServerDetailPage.class);
		ServerDetailIntent.putExtra("RPC_URL",
				prefs.getString("DC2_RPC_URL", null));
		ServerDetailIntent.putExtra("_Id",
				getIntent().getExtras().getString("_Id"));
		spec = tabhost.newTabSpec("srv_details")
				.setIndicator("Server Details", null)
				.setContent(ServerDetailIntent);
		tabhost.addTab(spec);

		ServerDetailMacAddr = new Intent().setClass(this,
				ServerDetailMacAddrPage.class);
		ServerDetailMacAddr.putExtra("RPC_URL",
				prefs.getString("DC2_RPC_URL", null));
		ServerDetailMacAddr.putExtra("server_id", getIntent().getExtras()
				.getString("_Id"));
		spec = tabhost.newTabSpec("src_mac_addr")
				.setIndicator("MAC Addr", null).setContent(ServerDetailMacAddr);
		tabhost.addTab(spec);

		ServerDetailRIBs = new Intent().setClass(this,
				ServerDetailMacAddrPage.class);
		ServerDetailRIBs.putExtra("RPC_URL",
				prefs.getString("DC2_RPC_URL", null));
		ServerDetailRIBs.putExtra("server_id", getIntent().getExtras()
				.getString("_Id"));
		spec = tabhost.newTabSpec("src_rib").setIndicator("RIB", null)
				.setContent(ServerDetailRIBs);
		tabhost.addTab(spec);

	}
}
