package de.sourcecode.dc2;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class ServerDetailPage extends Activity {
	private static final String TAG = "DC2 ServerDetailPage";

	private EditText uuid;
	private EditText serial_no;
	private EditText product_name;
	private EditText manufacturer;
	private EditText location;
	private EditText asset_tags;

	private Button btnUpdate;
	private Button btnUndo;
	ServerModel model_s;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.server_detail_page);
		model_s = new ServerModel(getIntent().getExtras().getString("RPC_URL"));
		this.uuid = (EditText) findViewById(R.id.etUUID);
		this.serial_no = (EditText) findViewById(R.id.etSerialNo);
		this.product_name = (EditText) findViewById(R.id.etProductName);
		this.manufacturer = (EditText) findViewById(R.id.etManufacturer);
		this.location = (EditText) findViewById(R.id.etLocation);
		this.asset_tags = (EditText) findViewById(R.id.etAssetTags);
		this.btnUpdate = (Button) findViewById(R.id.btnServerDetailUpdate);
		this.btnUpdate.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				// TODO: Update Data
			}
		});
		this.btnUndo = (Button) findViewById(R.id.btnServerDetailUndo);
		this.btnUndo.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				// Bring back original data
				setData();
			}
		});
		this.setData();
	}

	private void setData() {
		Server s = model_s.get(getIntent().getExtras().getString("_Id"));
		this.uuid.setText(s.getUUID());
		this.serial_no.setText(s.getSerialNo());
		this.product_name.setText(s.getProductName());
		this.manufacturer.setText(s.getManufacturer());
		this.location.setText(s.getLocation());
		this.asset_tags.setText(s.getAssetTags());
	}

}
