package de.sourcecode.dc2;

import java.util.ArrayList;

import org.alexd.jsonrpc.JSONRPCClient;
import org.alexd.jsonrpc.JSONRPCException;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class ServerModel {

		private String rpc_url;
		private JSONRPCClient client;
		
		public ServerModel(String rpc_url) {
			this.rpc_url=rpc_url;
	    	this.client=JSONRPCClient.create(this.rpc_url);
	    	this.client.setConnectionTimeout(2000);
	    	this.client.setSoTimeout(2000);
		}
		
		public ArrayList<Server> list() {
			ArrayList<Server> list_s=new ArrayList<Server>();
			try {				
				JSONArray objlist=this.client.callJSONArray("dc2.inventory.servers.list", (Object)null);
				for (int i=0;i<objlist.length();i++) {
	    			try {
	    				JSONObject item=objlist.optJSONObject(i);    				
	    				list_s.add(new Server(item.getString("_id"),item.getString("uuid"),item.getString("serial_no"),item.getString("product_name"),item.getString("manufacturer"),item.getString("location"),item.getString("asset_tags")));
	    			} catch (JSONException e) {
	    				e.printStackTrace();
	    			}
	    		}	
				return list_s;
			} catch (JSONRPCException e){
	    		e.printStackTrace();    		
	    	}
	    	return list_s;
		}
		
		public Server get(String id) {
			Server s;
			try {
				try {
					JSONArray obj=this.client.callJSONArray("dc2.inventory.servers.list",0,0,new JSONObject("{'_id':'"+id+"'}"));
					if (obj.length()>0) {
						JSONObject item=obj.optJSONObject(0);
						s=new Server(item.getString("_id"),item.getString("uuid"),item.getString("serial_no"),item.getString("product_name"),item.getString("manufacturer"),item.getString("location"),item.getString("asset_tags"));
						return s;
					}
				} catch (JSONException e) {
					e.printStackTrace();
				}
			} catch (JSONRPCException e) {
				e.printStackTrace();				
			}
			return null;
		}
}
